# H4503_CallDiversionErrors Class Reference

`#include <h4503.h>`

List of all members.

## Public Types

enum | Enumerations { e_invalidDivertedNumber = 12, e_specialServiceNumber = 14, e_diversionToServedUserNumber, e_numberOfDiversionsExceeded = 24, e_temporarilyUnavailable = 1000, e_notAuthorized = 1007, e_unspecified }

## Public Member Functions

| H4503_CallDiversionErrors (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4503_CallDiversionErrors & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4503_CallDiversionErrors::Enumerations

Enumerator:

  e_invalidDivertedNumber |
  e_specialServiceNumber |
  e_diversionToServedUserNumber |
  e_numberOfDiversionsExceeded |
  e_temporarilyUnavailable |
  e_notAuthorized |
  e_unspecified |

## Constructor & Destructor Documentation

H4503_CallDiversionErrors::H4503_CallDiversionErrors | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4503_CallDiversionErrors& H4503_CallDiversionErrors::operator= | ( | unsigned | v | ) |

PObject* H4503_CallDiversionErrors::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4503.h